public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Guilherme Amadio" <amadio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-physics/root/
Date: Mon, 13 Feb 2023 09:56:47 +0000 (UTC)	[thread overview]
Message-ID: <1676282165.4cf3d9955693efdf7c3f4f4fcff869886fbae6d8.amadio@gentoo> (raw)

commit:     4cf3d9955693efdf7c3f4f4fcff869886fbae6d8
Author:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  9 13:45:35 2023 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Mon Feb 13 09:56:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cf3d995

sci-physics/root: update live ebuild

- Better follow FHS
- Enable support for Python 3.11
- Change default to -Druntime_cxxmodules=ON
- Update with newly introduced build options (this is to avoid
  changes in defaults affecting ebuilds).
- Drop emacs USE flag
- Add jupyter USE flag for installing dependencies needed for
  enbling the C++ Jupyter notebooks provided by ROOT
- Update REQUIRED_USE for bug #882483

Bug: https://bugs.gentoo.org/666222
Bug: https://bugs.gentoo.org/882483

Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>

 sci-physics/root/root-9999.ebuild | 146 ++++++++++++++++++--------------------
 1 file changed, 69 insertions(+), 77 deletions(-)

diff --git a/sci-physics/root/root-9999.ebuild b/sci-physics/root/root-9999.ebuild
index bff12a2d4081..84fee8efa756 100644
--- a/sci-physics/root/root-9999.ebuild
+++ b/sci-physics/root/root-9999.ebuild
@@ -6,18 +6,17 @@ EAPI=8
 # ninja does not work due to fortran
 CMAKE_MAKEFILE_GENERATOR=emake
 FORTRAN_NEEDED="fortran"
-PYTHON_COMPAT=( python3_{9..10} )
+PYTHON_COMPAT=( python3_{9..11} )
 
-inherit cmake cuda elisp-common fortran-2 python-single-r1 toolchain-funcs
+inherit cmake cuda fortran-2 python-single-r1 toolchain-funcs
 
 DESCRIPTION="C++ data analysis framework and interpreter from CERN"
 HOMEPAGE="https://root.cern"
 
-IUSE="+X aqua +asimage c++11 c++14 +c++17 cuda cudnn +davix debug emacs
-	+examples fits fftw fortran +gdml graphviz +gsl http libcxx +minuit
-	mpi mysql odbc +opengl oracle postgres prefix pythia6 pythia8 +python
-	qt5 R +roofit +root7 shadow sqlite +ssl +tbb test +tmva +unuran uring
-	vc vmc +xml xrootd"
+IUSE="+X aqua +asimage c++14 +c++17 cuda cudnn +davix debug +examples
+	fits fftw fortran +gdml graphviz +gsl http jupyter libcxx +minuit mpi
+	mysql odbc +opengl oracle postgres pythia6 pythia8 +python qt5 R +roofit
+	+root7 shadow sqlite +ssl +tbb test +tmva +unuran uring vc +xml xrootd"
 RESTRICT="test"
 PROPERTIES="test_network"
 
@@ -25,13 +24,13 @@ if [[ ${PV} =~ "9999" ]] ; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/root-project/root.git"
 	if [[ ${PV} == "9999" ]]; then
-		SLOT="0"
+		SLOT="6/9999"
 	else
-		SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
+		SLOT="6/$(ver_cut 1-3)"
 		EGIT_BRANCH="v$(ver_cut 1)-$(ver_cut 2)-00-patches"
 	fi
 else
-	SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
+	SLOT="6/$(ver_cut 1-3)"
 	KEYWORDS="~amd64 ~x86"
 	SRC_URI="https://root.cern/download/${PN}_v${PV}.source.tar.gz"
 fi
@@ -39,15 +38,15 @@ fi
 LICENSE="LGPL-2.1 freedist MSttfEULA LGPL-3 libpng UoI-NCSA"
 
 REQUIRED_USE="
-	^^ ( c++11 c++14 c++17 )
+	^^ ( c++14 c++17 )
 	cuda? ( tmva )
 	cudnn? ( cuda )
 	!X? ( !asimage !opengl !qt5 )
 	davix? ( ssl xml )
 	python? ( ${PYTHON_REQUIRED_USE} )
 	qt5? ( root7 )
-	root7? ( || ( c++14 c++17 ) )
-	tmva? ( gsl )
+	root7? ( || ( c++17 ) )
+	tmva? ( gsl python )
 	uring? ( root7 )
 "
 
@@ -87,7 +86,6 @@ CDEPEND="
 	cuda? ( >=dev-util/nvidia-cuda-toolkit-9.0 )
 	cudnn? ( dev-libs/cudnn )
 	davix? ( net-libs/davix )
-	emacs? ( >=app-editors/emacs-23.1:* )
 	fftw? ( sci-libs/fftw:3.0= )
 	fits? ( sci-libs/cfitsio:0= )
 	graphviz? ( media-gfx/graphviz )
@@ -128,7 +126,13 @@ CDEPEND="
 DEPEND="${CDEPEND}
 	virtual/pkgconfig"
 
-RDEPEND="${CDEPEND}"
+RDEPEND="${CDEPEND}
+	$(python_gen_cond_dep '
+		dev-python/jupyter[${PYTHON_USEDEP}]
+		dev-python/notebook[${PYTHON_USEDEP}]
+		dev-python/metakernel[${PYTHON_USEDEP}]
+	')
+"
 
 PATCHES=(
 	"${FILESDIR}"/${PN}-6.12.06_cling-runtime-sysroot.patch
@@ -159,9 +163,6 @@ src_prepare() {
 
 # Note: ROOT uses bundled clang because it is patched and API-incompatible
 #       with vanilla clang. The patches enable the C++ interpreter to work.
-#       Since ROOT installs many files into /etc (>100MB in total) that don't
-#       really belong there, we install it into another directory to avoid
-#       making /etc too big.
 
 src_configure() {
 	local mycmakeargs=(
@@ -170,18 +171,38 @@ src_configure() {
 		-DCMAKE_CUDA_HOST_COMPILER="$(tc-getCXX)"
 		-DCMAKE_C_FLAGS="${CFLAGS}"
 		-DCMAKE_CXX_FLAGS="${CXXFLAGS}"
-		-DCMAKE_CXX_STANDARD=$( (usev c++11 || usev c++14 || usev c++17) | cut -c4-)
+		-DCMAKE_CXX_STANDARD=$( (usev c++14 || usev c++17) | cut -c4-)
+		# set build type flags to empty to avoid overriding CXXFLAGS
+		-UCMAKE_C_FLAGS_RELEASE
+		-UCMAKE_C_FLAGS_RELWITHDEBINFO
+		-UCMAKE_CXX_FLAGS_RELEASE
+		-UCMAKE_CXX_FLAGS_RELWITHDEBINFO
+		# enable debug info in LLVM as well with USE=debug
+		-DLLVM_BUILD_TYPE=$(usex debug RelWithDebInfo Release)
 		-DPYTHON_EXECUTABLE="${EPREFIX}/usr/bin/${EPYTHON}"
-		-DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr/lib/${PN}/$(ver_cut 1-2)"
-		-DCMAKE_INSTALL_MANDIR="${EPREFIX}/usr/lib/${PN}/$(ver_cut 1-2)/share/man"
-		-DCMAKE_INSTALL_LIBDIR="lib"
 		-DDEFAULT_SYSROOT="${EPREFIX}"
+		-DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+		-DCMAKE_INSTALL_CMAKEDIR="$(get_libdir)/cmake/ROOT"
+		-DCMAKE_INSTALL_DATADIR="share/root"
+		-DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
+		-DCMAKE_INSTALL_FONTDIR="share/fonts/root"
+		-DCMAKE_INSTALL_INCLUDEDIR="include/root"
+		-DCMAKE_INSTALL_LIBDIR="$(get_libdir)/root"
+		-DCMAKE_INSTALL_PYTHONDIR="${EPREFIX}/usr/lib/${EPYTHON}/site-packages"
+		-DCMAKE_INSTALL_SRCDIR="${EPREFIX}/usr/src/debug/${CATEGORY}/${PF}"
+		-DCMAKE_INSTALL_SYSCONFDIR="share/root"
+		-DCMAKE_INSTALL_TUTDIR="share/root/tutorials"
 		-DCLING_BUILD_PLUGINS=OFF
-		-Dasserts=OFF
+		-Dasan=OFF
+		-Dasserts=$(usex debug)
+		-Dccache=OFF # use ccache via portage
+		-Dcoverage=OFF
 		-Ddev=OFF
+		-Ddistcc=OFF
 		-Dexceptions=ON
 		-Dfail-on-missing=ON
-		-Dgnuinstall=OFF
+		-Dgnuinstall=ON
+		-Dgminimal=OFF
 		-Dshared=ON
 		-Dsoversion=ON
 		-Dbuiltin_llvm=ON
@@ -198,6 +219,7 @@ src_configure() {
 		-Dbuiltin_gl2ps=OFF
 		-Dbuiltin_glew=OFF
 		-Dbuiltin_gsl=OFF
+		-Dbuiltin_gtest=OFF
 		-Dbuiltin_lz4=OFF
 		-Dbuiltin_lzma=OFF
 		-Dbuiltin_nlohmannjson=OFF
@@ -213,37 +235,32 @@ src_configure() {
 		-Dbuiltin_zeromq=OFF
 		-Dbuiltin_zlib=OFF
 		-Dbuiltin_zstd=OFF
-		-Dalien=OFF
 		-Darrow=OFF
 		-Dasimage=$(usex asimage)
-		-Dccache=OFF # use ccache via portage
 		-Dcefweb=OFF
 		-Dclad=OFF
 		-Dcocoa=$(usex aqua)
 		-Dcuda=$(usex cuda)
 		-Dcudnn=$(usex cudnn)
 		-Dcxxmodules=OFF # requires clang, unstable
+		-Ddaos=OFF # not in gentoo
 		-Ddataframe=ON
 		-Ddavix=$(usex davix)
 		-Ddcache=OFF
-		-Ddistcc=OFF
 		-Dfcgi=$(usex http)
 		-Dfftw3=$(usex fftw)
 		-Dfitsio=$(usex fits)
 		-Dfortran=$(usex fortran)
 		-Dgdml=$(usex gdml)
 		-Dgfal=OFF
-		-Dgminimal=OFF
-		-Dgsl_shared=$(usex gsl)
 		-Dgviz=$(usex graphviz)
 		-Dhttp=$(usex http)
 		-Dimt=$(usex tbb)
+		-Djemalloc=OFF
 		-Dlibcxx=$(usex libcxx)
 		-Dmathmore=$(usex gsl)
-		-Dmemstat=OFF # deprecated
-		-Dminimal=OFF
-		-Dminuit2=$(usex minuit)
 		-Dminuit=$(usex minuit)
+		-Dminuit2=$(usex minuit)
 		-Dmlp=$(usex tmva)
 		-Dmonalisa=OFF
 		-Dmpi=$(usex mpi)
@@ -252,21 +269,21 @@ src_configure() {
 		-Dopengl=$(usex opengl)
 		-Doracle=$(usex oracle)
 		-Dpgsql=$(usex postgres)
-		-Dpythia6=$(usex pythia6)
 		-Dpyroot=$(usex python) # python was renamed to pyroot
-		#-Dpyroot_legacy=OFF # set to ON to use legacy PyROOT (6.22 and later)
-		#-Dpyroot_experimental=OFF # set to ON to use new PyROOT (6.20 and earlier)
+		-Dpyroot_legacy=OFF
+		-Dpythia6=$(usex pythia6)
 		-Dpythia8=$(usex pythia8)
 		-Dqt5web=$(usex qt5)
 		-Dqt6web=OFF
 		-Dr=$(usex R)
 		-Droofit=$(usex roofit)
 		-Droofit_multiprocess=OFF
+		-Droofit_hs3_ryml=OFF
 		-Droot7=$(usex root7)
 		-Drootbench=OFF
 		-Droottest=OFF
 		-Drpath=OFF
-		-Druntime_cxxmodules=OFF
+		-Druntime_cxxmodules=ON
 		-Dshadowpw=$(usex shadow)
 		-Dspectrum=ON
 		-Dsqlite=$(usex sqlite)
@@ -287,64 +304,39 @@ src_configure() {
 		-Dvdt=OFF
 		-Dveccore=OFF
 		-Dvecgeom=OFF
-		-Dvmc=$(usex vmc)
 		-Dx11=$(usex X)
 		-Dxml=$(usex xml)
 		-Dxrootd=$(usex xrootd)
 		${EXTRA_ECONF}
 	)
 
-	CMAKE_BUILD_TYPE=$(usex debug Debug Release) \
-	cmake_src_configure
-}
-
-src_compile() {
-	# needed for hsimple.root
-	addwrite /dev/random
-	cmake_src_compile
+	# Needs to be here, otherwise gets overriden by cmake.eclass
+	DCMAKE_BUILD_TYPE=$(usex debug RelWithDebInfo Release) cmake_src_configure
 }
 
 src_install() {
 	cmake_src_install
 
-	ROOTSYS=${EPREFIX}/usr/lib/${PN}/$(ver_cut 1-2)
-
-	if [[ ${PV} == "9999" ]]; then
-		ROOTENV="9900${PN}-git"
-	else
-		ROOTENV="$((9999 - $(ver_cut 2)))${PN}-$(ver_cut 1-2)-git"
-	fi
-
-	cat > ${ROOTENV} <<- EOF || die
-	MANPATH="${ROOTSYS}/share/man"
-	PATH="${ROOTSYS}/bin"
-	ROOTPATH="${ROOTSYS}/bin"
-	LDPATH="${ROOTSYS}/lib"
+	newenvd - 99root <<- EOF || die
+	LDPATH="${EPREFIX}/usr/$(get_libdir)/root"
 	EOF
 
-	if use python; then
-		echo "PYTHONPATH=\"${ROOTSYS}/lib\"" >> ${ROOTENV} || die
-	fi
+	pushd "${ED}/usr" > /dev/null
 
-	doenvd ${ROOTENV}
+	rm bin/*.{csh,sh,fish} || die
 
-	if use emacs; then
-		elisp-install ${PN}-$(ver_cut 1-2) "${BUILD_DIR}"/root-help.el
+	if ! use examples; then
+		rm -r share/root/tutorials || die
 	fi
 
-	pushd "${D}/${ROOTSYS}" > /dev/null
-
-	rm -r emacs bin/*.{csh,sh,fish} || die
+	popd
 
-	if ! use examples; then
-		rm -r tutorials || die
-	fi
+	use python && python_optimize
+}
 
-	# create versioned symlinks for binaries
-	if [[ ! ${PV} == "9999" ]]; then
-		cd bin;
-		for exe in *; do
-			dosym "${exe}" "/usr/lib/${PN}/$(ver_cut 1-2)/bin/${exe}-$(ver_cut 1-2)"
-		done
-	fi
+pkg_postinst() {
+	einfo "Please note that from now on (specifically since sci-physics/root-6.28.00),"
+	einfo "ROOT is more closely following FHS (see https://bugs.gentoo.org/666222)."
+	einfo "Due to this, it will no longer be possible to install multiple concurrent"
+	einfo "versions of ROOT in Gentoo, since that would now cause file collisions."
 }


             reply	other threads:[~2023-02-13  9:56 UTC|newest]

Thread overview: 204+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-13  9:56 Guilherme Amadio [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 22:35 [gentoo-commits] repo/gentoo:master commit in: sci-physics/root/ Andreas Sturmlechner
2025-02-13  9:52 Guilherme Amadio
2025-02-13  9:52 Guilherme Amadio
2025-02-13  9:52 Guilherme Amadio
2025-02-06 12:31 Nowa Ammerlaan
2024-12-18 14:33 Guilherme Amadio
2024-12-03 14:21 Guilherme Amadio
2024-12-03 14:21 Guilherme Amadio
2024-11-22 15:09 Guilherme Amadio
2024-11-22 15:09 Guilherme Amadio
2024-09-30 14:19 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-06-19  7:56 Guilherme Amadio
2024-05-30 15:38 Guilherme Amadio
2024-05-30 15:38 Guilherme Amadio
2024-04-09 16:07 Guilherme Amadio
2024-03-11  3:11 Benda XU
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-01-31 15:51 Guilherme Amadio
2024-01-30 15:25 Guilherme Amadio
2024-01-30 15:25 Guilherme Amadio
2023-12-05 12:16 Guilherme Amadio
2023-11-30 12:35 Guilherme Amadio
2023-11-30 12:35 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-10-30  7:58 Guilherme Amadio
2023-10-27  6:56 Guilherme Amadio
2023-10-27  6:56 Guilherme Amadio
2023-09-26  7:28 Guilherme Amadio
2023-09-11 11:46 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-03-24 15:39 Guilherme Amadio
2023-02-28 10:47 Guilherme Amadio
2023-02-24 16:37 Guilherme Amadio
2023-02-13  9:56 Guilherme Amadio
2023-02-13  9:56 Guilherme Amadio
2023-02-13  9:56 Guilherme Amadio
2023-02-13  9:56 Guilherme Amadio
2022-12-19 14:47 Andreas Sturmlechner
2022-10-20  8:44 Guilherme Amadio
2022-10-20  8:44 Guilherme Amadio
2022-10-14 12:48 Andrew Ammerlaan
2022-09-21  8:19 Guilherme Amadio
2022-09-21  8:19 Guilherme Amadio
2022-06-09  9:28 Guilherme Amadio
2022-05-23 15:21 Guilherme Amadio
2022-04-13  6:22 Guilherme Amadio
2022-04-13  6:22 Guilherme Amadio
2022-04-13  6:22 Guilherme Amadio
2022-03-20 18:51 Sam James
2022-03-09 16:31 Guilherme Amadio
2022-03-09 16:31 Guilherme Amadio
2022-03-09 16:31 Guilherme Amadio
2022-03-09 16:31 Guilherme Amadio
2022-01-15 21:51 Sam James
2021-10-29 22:23 Sam James
2021-10-18 11:36 Guilherme Amadio
2021-09-06  6:38 Guilherme Amadio
2021-08-26  9:28 Guilherme Amadio
2021-07-17 18:18 David Seifert
2021-06-28 19:42 Guilherme Amadio
2021-06-28 16:15 Guilherme Amadio
2021-06-28 16:15 Guilherme Amadio
2021-06-28 12:24 Guilherme Amadio
2021-06-28 12:24 Guilherme Amadio
2021-06-22 22:38 Sam James
2021-04-21 14:13 Guilherme Amadio
2021-04-21 14:13 Guilherme Amadio
2021-04-21 14:13 Guilherme Amadio
2021-03-23 13:09 Guilherme Amadio
2021-03-04 23:39 Andreas Sturmlechner
2021-02-15  0:32 Sam James
2020-11-30 13:00 Guilherme Amadio
2020-11-18  9:39 Guilherme Amadio
2020-11-18  9:39 Guilherme Amadio
2020-09-16 10:05 Michał Górny
2020-08-27 15:31 Guilherme Amadio
2020-08-27 15:31 Guilherme Amadio
2020-07-08 13:32 Marek Szuba
2020-06-15 10:28 Guilherme Amadio
2020-06-15  9:45 Guilherme Amadio
2020-06-15  9:45 Guilherme Amadio
2020-06-15  9:45 Guilherme Amadio
2020-06-15  9:45 Guilherme Amadio
2020-06-15  9:45 Guilherme Amadio
2020-05-07 13:44 Guilherme Amadio
2020-04-01 11:30 Guilherme Amadio
2020-04-01 11:30 Guilherme Amadio
2020-03-16 13:32 Guilherme Amadio
2020-03-12 12:18 Guilherme Amadio
2020-03-12  7:27 Guilherme Amadio
2020-03-12  7:27 Guilherme Amadio
2020-03-12  7:27 Guilherme Amadio
2020-03-12  7:27 Guilherme Amadio
2020-03-10 20:04 Guilherme Amadio
2020-03-10 20:04 Guilherme Amadio
2020-03-07  9:55 Mikle Kolyada
2020-03-03  9:07 Guilherme Amadio
2020-02-09 16:47 Michał Górny
2020-02-08 16:53 David Seifert
2020-01-22 11:24 Guilherme Amadio
2020-01-16  7:59 Michał Górny
2020-01-16  7:03 Michał Górny
2019-12-20 22:49 Ulrich Müller
2019-12-12 14:58 Michał Górny
2019-11-18 11:10 Guilherme Amadio
2019-09-30 12:49 Guilherme Amadio
2019-09-09  6:13 Guilherme Amadio
2019-09-09  6:13 Guilherme Amadio
2019-08-20  6:33 Guilherme Amadio
2019-08-08 14:49 Guilherme Amadio
2019-08-05 15:34 Guilherme Amadio
2019-08-05 15:30 Guilherme Amadio
2019-07-29  6:34 Guilherme Amadio
2019-07-17 14:06 Guilherme Amadio
2019-07-17 14:06 Guilherme Amadio
2019-06-28  6:16 Guilherme Amadio
2019-06-27 13:23 Guilherme Amadio
2019-06-27 11:58 Guilherme Amadio
2019-05-07  6:47 Guilherme Amadio
2019-05-07  6:47 Guilherme Amadio
2019-02-05  9:51 Guilherme Amadio
2019-02-05  9:51 Guilherme Amadio
2019-02-04  7:38 Guilherme Amadio
2019-01-27  1:40 Benda XU
2019-01-27  1:40 Benda XU
2019-01-24 16:24 Guilherme Amadio
2018-12-14  9:05 Guilherme Amadio
2018-12-12  7:12 Guilherme Amadio
2018-12-12  7:12 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-06 14:26 Guilherme Amadio
2018-11-25  9:22 Guilherme Amadio
2018-11-19 16:25 Guilherme Amadio
2018-11-19 16:25 Guilherme Amadio
2018-09-17 15:53 Guilherme Amadio
2018-09-17 15:53 Guilherme Amadio
2018-08-30  9:39 Guilherme Amadio
2018-08-29 15:07 Guilherme Amadio
2018-08-28 11:04 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-07-31 17:49 Guilherme Amadio
2018-07-06  9:28 Guilherme Amadio
2018-07-05 13:34 Guilherme Amadio
2018-07-05 11:15 Guilherme Amadio
2018-07-05 11:15 Guilherme Amadio
2018-04-12 15:50 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-19 18:06 Guilherme Amadio
2018-03-06 14:43 Guilherme Amadio
2018-03-06 14:43 Guilherme Amadio
2018-02-23 23:37 Michał Górny
2018-01-19 16:38 Guilherme Amadio
2017-12-18 13:13 Guilherme Amadio
2017-12-18 13:13 Guilherme Amadio
2017-12-18 13:13 Guilherme Amadio
2017-12-15 12:01 Guilherme Amadio
2017-12-15 12:01 Guilherme Amadio
2017-12-15 12:01 Guilherme Amadio
2016-12-19 14:13 Agostino Sarubbo
2016-12-19 14:11 Agostino Sarubbo
2016-12-07  2:11 Andrew Savchenko
2016-12-05 22:41 Andrew Savchenko
2016-10-02 12:37 Pacho Ramos
2016-07-23 14:03 Benda XU
2016-06-19  8:53 Andrew Savchenko
2016-05-19  4:55 Benda XU
2016-04-15  8:02 Andrew Savchenko
2016-04-15  8:02 Andrew Savchenko
2016-04-15  8:02 Andrew Savchenko
2016-01-16 12:37 Andrew Savchenko
2016-01-16 10:21 Andrew Savchenko
2015-11-20 16:45 Guilherme Amadio
2015-11-20 16:45 Guilherme Amadio
2015-09-24 12:45 Agostino Sarubbo
2015-09-24 12:44 Agostino Sarubbo
2015-08-23 11:52 Andrew Savchenko

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1676282165.4cf3d9955693efdf7c3f4f4fcff869886fbae6d8.amadio@gentoo \
    --to=amadio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox